Bug 130789 - Bad: Keyboard X11 - br-abnt2
Bad: Keyboard X11 - br-abnt2
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2004-08-24 14:36 EDT by Clovis Tristao
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-01 15:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clovis Tristao 2004-08-24 14:36:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a2)

Description of problem:
My keyboard is not functioning adequately, is using a keyboard abnt2. 
I configured the keyboard using the command system-config-keyboard, in
the text-mode is functioning all the keyboard keys also acentos.
But in the X11-KDE3.3 and/or Gnome, only the keyboard key "question -
slash", it is not functioning, when change the Layout of keyboard this
keyboard key starts to function, but the accents and other keyboard
keys do not function adequately. 

Version-Release number of selected component (if applicable):
X11R6.7.0 XKB

How reproducible:

Steps to Reproduce:
1. Login in X11-KDE3.3
2. Open Mozilla or other program and had try to press key "slash
3.Key "Slash Question" not responding

Actual Results:  Anything

Additional info:
Comment 1 Alexandre Oliva 2004-08-24 15:25:40 EDT
Mike, this is a regression.  If it makes it to RHEL4, X is going to be
a joke for use in Brazil.

Clovis, you may want to use the slash key in the numeric keypad for
the time being.  IIRC abnt2 keyboards actually have that key mapping
to the scan code that US keyboards use for the slash/question mark
key, and the actual slash/question mark key gets mapped to a different
scan code.

Clovis, please update to the latest rawhide version of xorg-x11.

Also, have a look at /usr/lib/X11/xkb/keycodes/xfree86.

Under `xkb_keycodes "abnt2"´, you'll see:

<AB11> = 123;

This line isn't present in FC2, and I suspect it may actually be the
source of the problem.  Try taking it out and let us know how it goes.

Please make sure you include what version of xorg you have installed
on your system in your report (rpm -q xorg-x11).
Comment 2 Mike A. Harris 2004-08-25 07:21:15 EDT
>Version-Release number of selected component (if applicable):
>X11R6.7.0 XKB

6.7.0 is not what is in rawhide right now.  Please upgrade to the
current packages in rawhide, and if the problem persists, file a
bug report in X.Org bugzilla at freedesktop.org:

http://bugs.freedesktop.org  in the "xorg" component.

Once your bug is filed upstream, please paste the URL here, and
Red Hat will track the issue in the upstream bugzilla.  The X.Org
6.8.0 release is currently in final bug fix freeze, so time is of
the essence if this issue is critical.  Be sure to mark it as a
blocker of bug 351 upstream if you believe the issue is a 6.8.0
blocker, or it may not be addressed for this release.

Comment 3 Clovis Tristao 2004-08-26 12:06:55 EDT

I made the changes and updates, recommended for Alexandre Oliva and
Mike A. Harris in the file /etc/X11/xkb/keycodes/xfree86. The keyboard
is functioning perfectly.

Default with distro FC3-T1:

// For brazilian ABNT2 keyboard. by Ricardo Y. Igarashi(iga@that.com.br)
xkb_keycodes "abnt2" {
    include "xfree86(basic)"
    <BKSL> = 94;
    <AC12> = 51;
    <AB11> = 123;
    <KPPT> = 134;

Changed, with comment two lines:
// For brazilian ABNT2 keyboard. by Ricardo Y. Igarashi(iga@that.com.br)
xkb_keycodes "abnt2" {
    include "xfree86(basic)"
    <BKSL> = 94;
    <AC12> = 51;
//    <AB11> = 123;
//    <KPPT> = 134;

Thanks a lot,
Comment 4 Alexandre Oliva 2004-08-27 16:46:04 EDT
I don't think you should comment out KPPT (that's what would get some
key in the keypad to work).  Does it not work with that line enabled?
Comment 5 Clovis Tristao 2004-08-30 08:25:53 EDT
Hi Alexandre Oliva,

When I uncomment the KPPT, the key (question and slash) not work.
Any idea?
Comment 6 Alexandre Oliva 2004-08-31 13:22:54 EDT
Clovis tells me in private that, after an xorg-x11 update,
uncommenting KPPT works.  So taking out AB11 is enough to fix the
problem.  This is now bug 1257 upstream.
Comment 7 Mike A. Harris 2004-09-01 15:32:21 EDT
Non-Red hat bugzilla references should provide the full upstream
URL, otherwise our bugzilla will treat it as a local bugzilla
reference and link to Red Hat bugzilla ID instead of upstream.

Upstream URL is:  http://freedesktop.org/bugzilla/show_bug.cgi?id=1257

Kevin checked fix into CVS, thanks guys.  It's not in rawhide right
now, but it will be when I update to the next snapshot, so I'm
going to close this as "RAWHIDE" for now anyway.  It'll probably
be available within a week.

Thanks again.
Comment 8 Alexandre Oliva 2004-09-01 17:01:14 EDT
FWIW, I'd added the full upstreap URL to the URL field below.  I
thought that was going to be enough.

Note You need to log in before you can comment on or make changes to this bug.